using System;
using System.Data;
using System.Data.SQLite;

namespace Baza_beriUkaz
{
    class Program
    {
        static void Main(string[] args)
        {
            string povNiz = @"Data Source=E:\baze\posizp.sqlite;Version=3;";
            SQLiteConnection pov = new SQLiteConnection(povNiz);
            SQLiteCommand ukaz = new SQLiteCommand();
            SQLiteDataReader povpraševanje = null;

            Console.Write("Vnesi SQL ukaz: ");
            string prebranUkaz = Console.ReadLine();
            ukaz.Connection = pov;
            ukaz.CommandType = CommandType.Text;
            ukaz.CommandText = prebranUkaz;
            try
            {
                pov.Open();
                povpraševanje = ukaz.ExecuteReader();
                int kol = 0;
                while (povpraševanje.Read())
                {
                    kol++;
                    for (int i = 0; i < povpraševanje.FieldCount; i++)
                    {
                        Console.Write(povpraševanje[i] + " : ");
                    }
                    Console.WriteLine();
                    if (kol % 10 == 0) Console.ReadKey();
                }
            }
            finally
            {
                if (povpraševanje != null)
                {
                    povpraševanje.Close();
                }

                if (pov != null)
                {
                    pov.Close();
                }
            }
        }
    }
}
